Subject: Re: A task for our configure gurus

From: Dominik Vogt <[email-masked]>
Date: Tue, 16 Jan 2001 23:44:13 +0100

This problem is still unresolved.  I'd really like to fix it in
2.4 but can't without help.

--------------------------- snip -----------------------

On Tue, Oct 10, 2000 at 10:03:15AM -0400, Dan Espen wrote:
> Dominik Vogt <[email-masked]> writes:
> > I just found this piece of un-configure'd code in fvwm/colormaps.c:
> > 
> >     if(last_cmap != tmp->attr.colormap
> > #if defined(sun) && defined(TRUECOLOR_ALWAYS_INSTALLED)
> >        && !(tmp->attr.depth == 24 && tmp->attr.visual->class == TrueColor)
> > #endif
> >         )
> >     {
> >       last_cmap = tmp->attr.colormap;
> >       XInstallColormap(dpy, last_cmap);
> >     }
> > 
> > Any ideas if/why this is necessary and how we can remove this?
> > My guess is that the TRUECOLOR_ALWAYS_INSTALLED macro is never
> > defined anyway.
> 
> I can't find the macro being defined in any Solaris 2.8 header file.
> I don't have access to any SunOs4 machines (Solaris 1.x).
> But I've never seen a Solaris machine that wasn't 8 bit anyway.
> 
> The TRUECOLOR code is in 2.0.47d, but not in 1.24r.
> 
> Oh, here it is:
> 
> http://www.hpc.uh.edu/fvwm/archive/9708/msg00282.html
> 
> Heres the relevant part:
> 
> To: FVWM Mailing List <[email-masked]> 
>      Subject: fvwm 2.0.46: patches and bugs 
>      From: Grant McDorman <[email-masked]> 
>      Date: Tue, 26 Aug 1997 14:31:02 -0400 (EDT) 
>      Organization: ISG Technologies Inc. 
> 
> I have just finished installing - and patching - 2.0.46.
> 
> The patches (attached) are as follows:
> ...
>    fvwm:
>      colormaps.c: If, on Sun systems, TRUECOLOR_ALWAYS_INSTALLED is defined,
>                   do not install a 24-bit TrueColor colormap. (Despite what
>                   the server says, it is always installed.)
> ...
> 
> Grant McDorman <[email-masked]>

--------------------------- snip -----------------------

Bye

Dominik ^_^  ^_^

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]